Bug 191258 - [PATCH] devel/p5-BZ-Client: Fix Broken ISO8601 date format, take maintainership
Summary: [PATCH] devel/p5-BZ-Client: Fix Broken ISO8601 date format, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-21 23:03 UTC by Muhammad Moinur Rahman
Modified: 2014-08-17 16:36 UTC (History)
3 users (show)

See Also:


Attachments
patch for p5-BZ-Client (1.65 KB, patch)
2014-06-21 23:03 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2014-06-21 23:03:48 UTC
Created attachment 144010 [details]
patch for p5-BZ-Client

BZ-Client converts on-the-wire dates from XML into data objects using DateTime::Format::ISO8601.  However, bugzilla after 3.6 changed the on-the-wire
format of the dates to a non-conforming date format.  To work around this, BZ-Client needs to handle this newer broken date format, as well as the older standards compliant format. The attached patch fixes this.

- Fix Broken ISO8601 date format
- Added LICENSE
- Take maintainership
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-07-04 01:49:37 UTC
Over to maintainers.
Comment 2 Kurt Jaeger freebsd_committer 2014-08-17 16:33:19 UTC
Testing@work
Comment 3 Kurt Jaeger freebsd_committer 2014-08-17 16:36:26 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2014-08-17 16:36:57 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 17 16:36:14 UTC 2014
New revision: 365201
URL: http://svnweb.freebsd.org/changeset/ports/365201

Log:
  devel/p5-BZ-Client: fixes:

  - Fix Broken ISO8601 date format
  - Added LICENSE
  - Take maintainership

  PR:		191258
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com>

Changes:
  head/devel/p5-BZ-Client/Makefile
  head/devel/p5-BZ-Client/files/
  head/devel/p5-BZ-Client/files/patch-lib-BZ-Client-XMLRPC-Value.pm